Bug 1093751 - Clicking on most columns cause all listed items to disappear
Summary: Clicking on most columns cause all listed items to disappear
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 14:27 UTC by Bryan Kearney
Modified: 2019-09-26 18:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:07:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5552 0 None None None 2016-04-22 15:40:24 UTC

Description Bryan Kearney 2014-05-02 14:27:45 UTC
Tested against Dev on 26 May.

Create two custom products with no repos.
Click "name" on the top of tupane, while the tupane is exposed on the right

You will see that all listed products are gone. 

I expected them not to disappear :)

Comment 1 Bryan Kearney 2014-05-02 14:28:13 UTC
Created redmine issue http://projects.theforeman.org/issues/5552 from this bug

Comment 2 RHEL Program Management 2014-05-02 14:54:53 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Mike McCune 2014-06-05 17:33:08 UTC
Heard that this happens on a bunch of different pages.

Comment 6 Walden Raines 2014-06-09 18:13:14 UTC
(In reply to Mike McCune from comment #4)
> Heard that this happens on a bunch of different pages.

Here are some columns that this happens with.

Subscriptions:
  - Consumed
  - Starts
  - Expires
  - Contract
  - Account 

Activation Key:
  - Consumed
  - Environment
  - Content View

Products:
  - description
  - sync status
  - sync plan

Sync Plans
  - Description
  - Original Sync Date
  - Interval
  - Next Sync

Content Hosts
  - Subscription Status
  - OS
  - Content View
  - Registered

Host Collections
  - Content Hosts
  - Limit 

So this is basically broken everywhere except for a handful of columns.

Comment 7 Walden Raines 2014-06-09 19:43:35 UTC
PR:  https://github.com/Katello/katello/pull/4235

Comment 8 Walden Raines 2014-06-10 14:53:59 UTC
commit 8fd53416f1c6921ab24ce252855e70db212aa2cc
Merge: 763b293 ec74d55
Author: Walden Raines <walden>
Date:   Tue Jun 10 10:43:24 2014 -0400

    Merge pull request #4235 from waldenraines/5552
    
    Fixes #5552/BZ1093751 - Prevent sorting on columns that aren't sortable.

commit ec74d550c4f98061c7f43728161865b8e92ff448
Author: Walden Raines <walden>
Date:   Mon Jun 9 15:40:19 2014 -0400

    Fixes #5552/BZ1093751 - Prevent sorting on columns that aren't sortable.

Comment 11 sthirugn@redhat.com 2014-06-12 16:58:29 UTC
Failed with Snap 9

The original test scenario reported in the bug failed. Also the scenarios mentioned in Comment 6 failed as well.

Version Tested:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.16-1.el6sat.noarch
* foreman-compute-1.6.0.16-1.el6sat.noarch
* foreman-gce-1.6.0.16-1.el6sat.noarch
* foreman-libvirt-1.6.0.16-1.el6sat.noarch
* foreman-ovirt-1.6.0.16-1.el6sat.noarch
* foreman-postgresql-1.6.0.16-1.el6sat.noarch
* foreman-proxy-1.6.0.7-1.el6sat.noarch
* foreman-selinux-1.6.0-4.el6sat.noarch
* foreman-vmware-1.6.0.16-1.el6sat.noarch
* katello-1.5.0-25.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.48-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* openldap-devel-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.20.beta.el6sat.noarch
* pulp-server-2.4.0-0.20.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 12 Walden Raines 2014-06-12 17:40:05 UTC
The cherry-pick in comment#9 is not mine.  I don't believe my changes were cherry-picked at all:

[walden@wraines-sandbox katello (SATELLITE-6.0.3)]$ git log --author=walden | grep 1093751
[walden@wraines-sandbox katello (SATELLITE-6.0.3)]

Comment 15 sthirugn@redhat.com 2014-06-19 03:15:57 UTC
Verified.

Product - Sorting on Name works - Sorting removed on other columns

Subscriptions: 
  - Consumed - removed
  - Starts - removed
  - Expires - removed
  - Contract - removed
  - Account  - removed

Activation Key:
  - Name - Works fine
  - Consumed - removed
  - Environment - removed
  - Content View - removed

Products:
  - Name - Works fine
  - description - removed
  - sync status - removed
  - sync plan - removed
  - Repositories - removed

Sync Plans
  - Name - Works fine
  - Description - removed
  - Original Sync Date - removed
  - Interval - removed
  - Next Sync - removed

Content Hosts
  - Name - Works fine
  - Subscription Status - removed
  - OS - removed
  - Environment - Works fine
  - Content View - removed
  - Registered - removed
  - Last Checkin - Works fine

Host Collections
  - Name - Works fine
  - Content Hosts - removed
  - Limit - removed

Version Tested:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.18-1.el6sat.noarch
* foreman-compute-1.6.0.18-1.el6sat.noarch
* foreman-gce-1.6.0.18-1.el6sat.noarch
* foreman-libvirt-1.6.0.18-1.el6sat.noarch
* foreman-ovirt-1.6.0.18-1.el6sat.noarch
* foreman-postgresql-1.6.0.18-1.el6sat.noarch
* foreman-proxy-1.6.0.8-1.el6sat.noarch
* foreman-selinux-1.6.0-4.el6sat.noarch
* foreman-vmware-1.6.0.18-1.el6sat.noarch
* katello-1.5.0-26.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.49-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* openldap-devel-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.21.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.21.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.21.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.21.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.21.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.21.beta.el6sat.noarch
* pulp-server-2.4.0-0.21.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 16 Bryan Kearney 2014-07-02 14:07:47 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.